Class | Fog::AWS::ElasticBeanstalk::Environment
In: | lib/fog/aws/models/beanstalk/environment.rb
Parent: | Fog::Model

### Methods

destroy events healthy? live_resources load_balancer ready? rebuild restart_app_server save swap_cnames terminated? version version=

### Public Instance methods

destroy()
events()

Return events related to this version

healthy?()
live_resources()

Returns the current live resources for this environment

load_balancer(elb_connection = Fog::AWS[:elb])

Returns the load balancer object associated with the environment.

ready?()
rebuild()

Rebuilds the environment

restart_app_server()

Restarts the app servers in this environment

save()
swap_cnames(source)
terminated?()
version()

Return the version object for this environment

version=(new_version)

Update the running version of this environment

[Validate]